GEThttps://api.deepinfo.com/v1/easm/assets/{domain_id}/domain-latest-snapshot

Returns the latest summary of a domain including all its subdomains and websites. domain_id is the asset id of a domain.

Authentication

Send your API key in the apikey request header.

Path Parameters

ParameterRequiredDescription
domain_idRequired
Example000000000000000e79cf0001

Query Parameters

ParameterRequiredDescription
statsOptional

Response Fields

FieldTypeDescription
idstring
snapshotobject
datestring
date-time

Response Schema

Inferred from examples Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

FieldTypeExample
idstring"00000000000000000000000e3b4b0001"
snapshotobject
snapshot.total_issue_countnumber5
snapshot.active_issue_countnumber13
snapshot.issue_severity_statsarray<object>
snapshot.issue_severity_stats[].namestring"Critical"
snapshot.issue_severity_stats[].countnumber26
snapshot.issue_category_statsarray<object>
snapshot.issue_category_stats[].namestring"SSL/TLS"
snapshot.issue_category_stats[].countnumber4
snapshot.issue_category_stats[].severity_statsarray<object>
snapshot.issue_category_stats[].severity_stats[].namestring"Critical"
snapshot.issue_category_stats[].severity_stats[].countnumber35
snapshot.issue_state_statsarray<object>
snapshot.issue_state_stats[].namestring"newly_detected"
snapshot.issue_state_stats[].countnumber24
snapshot.average_issue_durationnumber86400
snapshot.average_fix_durationnumber86400
snapshot.technology_countnumber21
snapshot.technology_category_statsarray<object>
snapshot.technology_category_stats[].namestring"Web servers"
snapshot.technology_category_stats[].countnumber25
snapshot.open_port_countnumber27
snapshot.vulnerability_countnumber16
snapshot.vulnerability_severity_statsarray<object>
snapshot.vulnerability_severity_stats[].namestring"critical"
snapshot.vulnerability_severity_stats[].countnumber3
snapshot.security_scorenumber850.5
datestring"2025-07-16T08:00:00Z"

Examples

Selecting one loads it into the request and response panels.

Reference updated